Page MenuHomePhabricator

Interwiki entry for new Wikimedia Foundation website
Closed, ResolvedPublic

Description

The existing interwiki links were updated to maintain links to the repurposed Wikimedia Foundation Wiki.

It is not urgent, but please create a new interwiki entry for the new Wikimedia Foundation website once it launches.

Perhaps "foundationmain" or "foundationcorp" would work? I am open to suggestions, but keep in mind "wmf", "foundation", and others used for the old site should not be used for this site. We would also prefer "foundation" over "wmf" to represent "Wikimedia Foundation" in any shortened names.

Event Timeline

Varnent created this task.Jul 26 2018, 11:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2018, 11:50 AM

foundation, wikimedia and wmf all currently point to the wiki

Right. This would point to the new site so be a new entry for wikimediafoundation.org since those now point to foundation.wikimedia.org

Do we have any stats on how often the foundation and wikimedia shortlinks have been used? Could we/would it be advisable to use a bot to convert them to wmf and usurp one?

Keeping in mind that interwikis are supposed to be *shorthand* link labels, of course... ;-)

Reedy added a comment.Jul 31 2018, 1:43 AM
MariaDB [enwiki]> select count(iwl_prefix), iwl_prefix from iwlinks where iwl_prefix in ('wmf', 'foundation', 'wikimedia') group by iwl_prefix;
+-------------------+------------+
| count(iwl_prefix) | iwl_prefix |
+-------------------+------------+
|             24638 | foundation |
|              3168 | wikimedia  |
|            645600 | wmf        |
+-------------------+------------+
3 rows in set (0.29 sec)

MariaDB [enwiki]>

(Note that I meant to comment with my Foundation account and not as a volunteer.)

Sounds like FR-Tech is waiting on this to finish some updates. I suggest either "foundationsite" or "foundationmain" - but open to other ideas.

Varnent moved this task from Backlog to Doing on the WMF-Communications board.Aug 9 2018, 1:23 AM
Varnent moved this task from Doing to Radar on the WMF-Communications board.
Aklapper changed the edit policy from "Custom Policy" to "All Users".Sep 17 2018, 5:47 PM
Aklapper changed Risk Rating from N/A to default.

What is the best way to move this request forward? :)

Reedy added a comment.Sep 17 2018, 7:34 PM

What is the best way to move this request forward? :)

It's easy to get done if we decide what prefix you/we/anyone wants :)

Reedy added a comment.Sep 17 2018, 7:37 PM

Needs adding to https://meta.wikimedia.org/wiki/Interwiki_map and then we need to update interwiki.php on the cluster

I'm happy to process both pretty quickly if someone decides which we want to go forward with

Varnent added a comment.EditedSep 17 2018, 7:51 PM

Needs adding to https://meta.wikimedia.org/wiki/Interwiki_map and then we need to update interwiki.php on the cluster
I'm happy to process both pretty quickly if someone decides which we want to go forward with

Thank you! :)

"foundationsite" seems logical to me. But I am open to better ideas. :)

Reedy added a comment.Sep 17 2018, 7:53 PM

We can obviously have multiple if we need too.

foundationsite seems more sensible than foundationmain

We can obviously have multiple if we need too.
foundationsite seems more sensible than foundationmain

Sounds good to me. :)

Reedy added a comment.Sep 17 2018, 8:00 PM

https://meta.wikimedia.org/w/index.php?title=Interwiki_map&type=revision&diff=18389148&oldid=18337050

I guess that format is fine? We don't need anything special after the slash?

[[foundationsite:about]] would go to https://wikimediafoundation.org/about/ etc

https://meta.wikimedia.org/w/index.php?title=Interwiki_map&type=revision&diff=18389148&oldid=18337050
I guess that format is fine? We don't need anything special after the slash?
[[foundationsite:about]] would go to https://wikimediafoundation.org/about/ etc

Correct.

Reedy closed this task as Resolved.Sep 17 2018, 8:10 PM
Reedy claimed this task.

[21:10:13] <logmsgbot> !log reedy@deploy1001 Synchronized wmf-config/interwiki.php: Updating interwiki cache (duration: 03m 26s)